<?php

class FgModule extends CWebModule
{
		public $defaultController = 'admin';
		public $assetsPath;
 		public $proxyPath;
 		public $clientBasePath;
 		public $clientLocalPath;
 		public $defaultLogin;
 		public $thankYouPage;
	
	public function init()
	{
		$this->setImport(array(
			'fg.models.*',
			'fg.components.*',
			'site.custom.modules.fg.components.*',
			'fg.helpers.*',
		));
		
		$this->assetsPath = Yii::app()->assetManager->publish(dirname(__FILE__).'/assets', false, -1, YII_DEBUG);
	}

	public function beforeControllerAction($controller, $action)
	{
		if(parent::beforeControllerAction($controller, $action))
		{
			$this->loginDummyUser();
			return true;
		}
		else
			return false;
	}
	
	public function loginDummyUser()
	{
		$identity = new UserIdentity($this->defaultLogin['username'], $this->defaultLogin['password']);
 		if($identity->authenticate())
		Yii::app()->user->login($identity, 0);
	}
	
	public static function isUserAdmin()
	{
		return Yii::app()->user->getName() == 'admin';
	}
	
	public static function getConfig()
	{
		$my = Yii::app()->getModules(false);
		static $config;
		if(!isset($config)) {
			$config = $my['fg'];
		}
		return $config;
	}
	
	public static function t($message, $category = 'main')
	{
		$category = 'FgModule.'.$category;
		return Yii::t($category, $message);
	}
}
