(function($){
	
	/**
	 * Language management
	 * @class Lang
	 */
	$.fg.Lang = {
			
			/**
			 * Current language dictionary (key=>value strings)
			 * @type {object}
			 */
			dictionary: null,
		
		/**
		 * Init language
		 * @return {void}
		 */
		init: function(onloadCallback)
		{
			var lang = this.getCurrentLanguage();
			$.loadAsset( "assets/js/languages/"+lang+".js", onloadCallback, true );
		},
		
		/**
		 * Get current editor language
		 * @return {string} current language
		 */
		getCurrentLanguage: function()
		{
			var userLang = $.fg.Editor.getUserState( "lang" );
			if($.fg.Config.languages[userLang]) {
				return userLang;
			} else {
				return $.fg.Config.defaultLanguage;
			}
		},
		
		/**
		 * Translate given dictionary key
		 * @param {string} text dictionary key to translate
		 * @return {string} translated string depending on current language
		 */
		t: function(text)
		{
			return typeof this.dictionary[text] !== 'undefined'
				? this.dictionary[text]
				: text;
		}
		
	};
	
})(jQuery);

/**
 * Translate given dictionary key<br />Alias function
 * @see $.fg.Lang.t
 * @param {string} text dictionary key to translate
 * @return {string} translated string depending on current language
 */
function t(text)
{
	return $.fg.Lang.t( text );
}