<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 * PDF Generation Controller
 */
class GenController extends CController
{
    /**
     * Process /pdf/gen urls, check if hash is correct and call createPdf
     *
     * @param string $url pdf will be created for this url
     * @param string $pdfoptions  a json encoded string containing an array (key => value) with wkhtmltopdf options
     *
     * @return void
     */
    public function actionIndex($url, $key, $pdfoptions = null)
    {
        if ($this->module->hash($url) !== $key && $this->module->hash($url . $pdfoptions) !== $key) {
            throw new CHttpException(400, 'Wrong key!');
        }
        Yii::app()->getModule('pdf')->createPdf($url, $pdfoptions);
    }    
}
