<?php
/**
 *
 */
class UserLogin extends CFormModel
{
    public $service;
    public $authField;
    public $password;
    public $rememberMe;

    public function rules()
    {
        return array(
            array('service', 'required'),
            array('rememberMe', 'boolean'),
            array('authField, password', 'length', 'max' => 255)
        );
    }

    public function attributeLabels()
    {
        return array(
            'rememberMe' => UserModule::t("Remember me next time"),
            'authField' => UserModule::t(ucfirst(Yii::app()->getModule('user')->authField)),
            'password' => UserModule::t("Password"),
        );
    }

    public function applyErrors($userIdentity)
    {
        if (!$userIdentity->errorCode) return;
        if ($userIdentity instanceof UserIdentity) {
            switch ($userIdentity->errorCode) {
                case UserIdentity::ERROR_AUTH_FIELD_INVALID:
                    $this->addError('authField', ucfirst(Yii::app()->getModule('user')->authField) . ' invalid');
                    break;
                case UserIdentity::ERROR_PASSWORD_INVALID:
                    $this->addError('password', UserModule::t('Password invalid'));
                    break;
                case UserIdentity::ERROR_STATUS_NOTACTIV:
                    $this->addError("status", UserModule::t("Your account is not activated."));
                    break;
                case UserIdentity::ERROR_STATUS_BAN:
                    $this->addError("status", UserModule::t("Your account is blocked."));
                    break;
                default:
                    break;
            }
        } else {
            $this->addError('service', UserModule::t('Service error'));
        }
    }

    public function getAjaxErrors()
    {
        $result = array();
        foreach ($this->getErrors() as $attribute => $errors)
            $result[CHtml::activeId($this, $attribute)] = $errors;

        return CJSON::encode($result);
    }
}
