<?php
$this->breadcrumbs = array(
    UserModule::t('Users') => array('admin'),
    UserModule::t('Manage'),
);
?>
<h1><?php echo UserModule::t("Manage Users"); ?></h1>

<?php echo $this->renderPartial('_menu', array(
    'list' => array(
        CHtml::link(UserModule::t('Create User'), array('create')),
        CHtml::link(UserModule::t('Import Users'), array('/user/import')),
    ),
));
?>

<?php $this->widget('zii.widgets.grid.CGridView', array(
    'dataProvider' => $model->search(),
    'filter' => $model,
    'columns' => array(
        array(
            'name' => 'id',
            'type' => 'raw',
            'value' => 'CHtml::link(CHtml::encode($data->id),array("admin/update","id"=>$data->id))',
        ),
        array(
            'name' => 'username',
            'type' => 'raw',
            'value' => 'CHtml::link(CHtml::encode($data->username),array("admin/view","id"=>$data->id))',
        ),
        array(
            'name' => 'firstname',
            'type' => 'raw',
            'value' => '$data->profile->firstname',
        ),
        array(
            'name' => 'lastname',
            'type' => 'raw',
            'value' => '$data->profile->lastname',
        ),
        array(
            'name' => 'email',
            'type' => 'raw',
            'value' => 'CHtml::link(CHtml::encode($data->email), "mailto:".$data->email)',
        ),
        array(
            'name' => 'createtime',
            'value' => '$data->createtime',
        ),
//        array(
//            'name' => 'lastvisit',
//            'value' => '(($data->lastvisit)? $data->lastvisit : UserModule::t("Not visited"))',
//        ),
        array(
            'name' => 'status',
            'value' => 'User::itemAlias("UserStatus",$data->status)',
            'filter' => User::itemAlias("UserStatus"),
        ),
//		array(
//			'name'=>'superuser',
//			'value'=>'User::itemAlias("AdminStatus",$data->superuser)',
//		),
        array(
            'class' => 'CButtonColumn',
            'template' => '{rights}{view}{update}{delete}',
            'buttons' => array(
                'rights' => array(
                    'label' => 'Rights',
                    'url' => '$this->grid->controller->createUrl("assignment/user", array("id"=>$data->id))',
                    'imageUrl' => $this->module->getAssetsUrl() . '/user-rights.gif',
                )
            ),
            'htmlOptions' => array('style' => 'width:64px')
        ),
    ),
)); ?>
