<?php
/**
 *
 */
class UserRegistrationWidget extends BaseUserWidget
{
    public $registrationForm;
    public $profile;

    /**
     * Show registration form
     *
     * @return void
     */
    public function run()
    {
        if (isset($_GET['activkey'], $_GET['email'])) {
            Yii::app()->getRequest()->redirect(Yii::app()->createUrl('/user/activation', array(
                'activkey' => $_GET['activkey'],
                'email' => $_GET['email'],
                'return_url' => Yii::app()->request->getRequestUri()
            )));
        }

        if (Yii::app()->user->isGuest) {
            $this->registrationForm = new RegistrationForm();
            $this->profile = new Profile();
            $this->profile->regMode = true;
            if (($registrationFormData = Yii::app()->user->getState('RegistrationForm')) !== null) {
                $this->registrationForm->attributes = $registrationFormData['attributes'];
                foreach ($registrationFormData['errors'] as $attribute => $errors) {
                    foreach ($errors as $e) {
                        $this->registrationForm->addError($attribute, $e);
                    }
                }
                Yii::app()->user->setState('RegistrationForm', null);
            }
            if (($profileData = Yii::app()->user->getState('Profile')) !== null) {
                $this->profile->attributes = $profileData['attributes'];
                foreach ($profileData['errors'] as $attribute => $errors) {
                    foreach ($errors as $e) {
                        $this->profile->addError($attribute, $e);
                    }
                }
                Yii::app()->user->setState('Profile', null);
            }
            $this->render('UserRegistrationWidget', array('model' => $this->registrationForm, 'profile' => $this->profile));
        } else {
            $this->render('UserRegistrationWidget_hide');
        }
    }
}
